@mixin sidenav-app-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);

  .menus {
    overflow: hidden;
    padding-top: 0px;

    .toolbar-spacer {
      flex: 1 1 auto;
    }

    .root-element {
      height: 38px;

      button {
        width: 100%;
        border-radius: 0;
        text-align: left;
        padding: 0px;
        height: 36px;
      }

      button:hover {
        background: #eee;

        mat-icon {
          color: mat-color($warn);
        }

        .nav-collapsed {
          color: #eee;
        }
      }

      mat-icon {
        margin-right: 5px;
        margin-left: 5px;
      }

      .expand-collapse-icon {
        text-align: right;
      }
    }

    .sub-element {
      height: 26px;
      button {
        width: 100%;
        border-radius: 0;
        text-align: left;
        padding: 0px;
        line-height: 22px;
      }
      button:hover {
        background: #eee;
        mat-icon {
          color: mat-color($warn);
        }
        .nav-collapsed {
          color: #eee;
        }
      }
      mat-icon {
        margin-right: 1px;
        margin-left: 5px;
        width: 18px !important;
      }
      mat-icon:first-child {
        padding-left: 15px;
        padding-right: 2px;
        font-size: 1.2em;
        vertical-align: middle;
        height: auto;
        width: auto;
      }
      mat-icon:last-child {
        padding-left: 5px;
      }
      .sub-sub-icon {
        padding-left: 35px !important;
      }
      .sub-sub-text {
        // font-style: italic;
        font-size: 0.8em;
      }
    }

    .sidenav-list {
      font-size: 0.83em;
    }

    .main-list {
      font-weight: bold;
    }

    .sidenav-leftpadding {
      padding-left: 8px;
    }

    .nav-collapsed {
      color: white;
    }

    .sub-menu-item {
      padding-left: 20px;
    }

    .sub-sub-menu-item {
      padding-left: 35px;
    }

    .sub-sub-menu-item mat-icon {
      margin-right: 5px;
      color: #eeeeee;
    }

    .router-link-active {
      background-color: mat-color($primary, 50);

      mat-icon {
        color: mat-color($warn);
      }

      .nav-collapsed {
        color: #eee;
      }
    }

    .mat-list-item .mat-list-item-content {
      padding: 0 !important;
    }

    .referral-package-nav {
      margin: 5px;
      margin-top: 10px;
      padding: 5px;
      border: 2px solid mat-color($primary);
      border-style: solid solid solid solid;
      border-radius: 10px;

      .line {
        display: block;
      }

      .line h2 {
        font-size: 0.9em;
        text-align: center;
        // border-bottom: 1px solid mat-color($primary);
        position: relative;
        margin-top: -24px;
        margin-bottom: 20px;
      }

      .line h2 span {
        background-color: white;
        position: relative;
        top: 10px;
        padding: 0 10px;
      }
    }
  }
}
